# Agent configuration file
#
# The following are the properties that the Agent recognizes:
#
#    agent.listenPort     
#         Default:      "2144"
#
#         Description:  Port that the agent listens on.
#
#    agent.listenIp
#         Default:      "*"
#
#         Description:  Address that the agent listens on.  If set to '*',
#                       the agent will listen on all available interfaces.
#
#    agent.startupTimeOut
#         Default:      "300"
#
#         Description:  This is the number of seconds that the agent startup
#                       script will wait before determining that the agent
#                       did not startup successfully.
#
#    agent.maxBatchSize
#         Default:      "500"
#
#         Description:  This is the maximum number of metrics that the
#                       agent will send per contact with HQ.
#
#
#    agent.eventReportBatchSize
#         Default:      "100"
#
#         Description:  The agent will send events to HQ in reports containing 
#                       at most this number of events until all events have been 
#                       sent to HQ.
#
#
#    agent.proxyHost
#         Default:      none
#
#         Description:  The host name or IP address of the proxy server that the 
#                       agent must connect to first when establishing a connection 
#                       to the HQ server.
#
#
#    agent.proxyPort
#         Default:      none
#
#         Description:  The port number of the proxy server that the agent 
#                       must connect to first when establishing a connection to 
#                       the HQ server.


## Use the following if you'd like to have the agent setup 
## automatically from these properties.  The values for these
## properties are used to answer the setup questions
##
## If any of these properties are left undefined, the setup 
## process will prompt for their values
##
## If the value that should be used is the default when interactive
## setup is done, use the string *default* as the value for the option

#agent.setup.camIP=localhost
#agent.setup.camPort=7080
#agent.setup.camSSLPort=7443
#agent.setup.camSecure=yes
#agent.setup.camLogin=hqadmin
#agent.setup.camPword=hqadmin
#agent.setup.agentIP=*default*
#agent.setup.agentPort=*default*
#agent.setup.resetupTokens=no

##
## enables unidirectional communications between HQ Agent
## and HQ Server in HQ Enterprise Edition
##
#agent.setup.unidirectional=no

# required to find server/lib/weblogic.jar
#weblogic.installpath=/usr/local/bea/weblogic-8.1

# required to find websphere jars
#websphere.installpath=/opt/WebSphere/AppServer

# required to find jboss jars
#jboss.installpath=/usr/local/jboss-4.0.0

# mirror /proc/net/tcp on linux
sigar.mirror.procnet=true

##
## Logging settings
##
agent.logFile=${agent.logDir}/agent.log
agent.logLevel=INFO
log4j.rootLogger=${agent.logLevel}, R

log4j.appender.R.File=${agent.logFile}
log4j.appender.R.MaxBackupIndex=1
log4j.appender.R.MaxFileSize=5000KB
log4j.appender.R.layout.ConversionPattern=%d %-5p [%t] [%c{1}] %m%n
log4j.appender.R.layout=org.apache.log4j.PatternLayout
log4j.appender.R=org.apache.log4j.RollingFileAppender

#redirect System.{err,out} to agent.log
#commenting out will leave System.{out,err} directed to agent.log.startup
agent.logLevel.SystemErr=ERROR
agent.logLevel.SystemOut=INFO

##
## Disable overly verbose logging 
##
log4j.logger.httpclient.wire=ERROR
log4j.logger.org.apache.commons.httpclient=WARN
log4j.logger.org.hyperic.hq.measurement.agent.server.SenderThread=INFO
log4j.logger.org.hyperic.hq.agent.server.AgentDListProvider=INFO
log4j.logger.org.hyperic.hq.agent.server.MeasurementSchedule=INFO
log4j.logger.org.hyperic.util.units=INFO
log4j.logger.org.hyperic.hq.product.pluginxml=INFO

# Only log errors from naming context
log4j.category.org.jnp.interfaces.NamingContext=ERROR
log4j.category.org.apache.axis=ERROR

##
## Auto-inventory options
##

#autoinventory.defaultScan.interval.millis=86400000
autoinventory.runtimeScan.interval.millis=86400000


##
## Disable deprecated response time feature by default
##
hq.plugins.responsetime.disable=true
